<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: master_ads_admin.php
| CVS Version: 1.00
+--------------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."rotator_panel/infusion_db.php";

if (!checkrights("MAP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."rotator_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."rotator_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."rotator_panel/locale/Polish.php";
}


if(isset($_GET['ad_id']) && !isnum($_GET['ad_id'])) redirect(FUSION_SELF.$aidlink);

// ----------------------------------------
// Dodawanie pozycji
// ----------------------------------------

if(isset($_POST['save'])) {
$ad_name = stripinput($_POST['ad_name']);
  $ad_source = addslash($_POST['ad_source']);
  $ad_limit = stripinput($_POST['ad_limit']);
$ad_count = stripinput($_POST['ad_count']);
	
  if (isset($_GET['ad_action']) && $_GET['ad_action'] == "ad_edit") {
   $result = dbquery("UPDATE ".DB_MASTER_RPF." SET ad_name='$ad_name', ad_source='$ad_source', ad_limit='$ad_limit', ad_count='$ad_count' WHERE ad_id='".$_GET['ad_id']."'");
  redirect(FUSION_SELF.$aidlink."&mes=edit");
  } else {
	dbquery("INSERT INTO ".DB_MASTER_RPF." (ad_name, ad_source, ad_limit, ad_count) VALUES ('".$ad_name."', '".$ad_source."', '".$ad_limit."', '".$ad_count."')");
redirect(FUSION_SELF.$aidlink."&mes=add");
}


  }

// ----------------------------------------
// Edycja pozycji
// ----------------------------------------
if(isset($_GET['ad_action']) && $_GET['ad_action'] == 'ad_edit') {


$ad_editpos = dbarray(dbquery("SELECT * FROM ".DB_MASTER_RPF." WHERE ad_id='".$_GET['ad_id']."'"));
$ad_id = $ad_editpos['ad_id'];
$ad_name = $ad_editpos['ad_name'];
$ad_source = stripslashes($ad_editpos['ad_source']);
$ad_limit = $ad_editpos['ad_limit'];
$ad_count = $ad_editpos['ad_count'];
$formaction = FUSION_SELF.$aidlink."&amp;ad_action=ad_edit&amp;ad_id=".$_GET['ad_id'];
  } else {
$ad_id = "";
$ad_name = "";
$ad_source = "";
$ad_limit = "";
$ad_count = "";
$formaction = FUSION_SELF.$aidlink;
  }

// ----------------------------------------
// Usuwanie pozycji
// ----------------------------------------

if(isset($_GET['ad_action']) && $_GET['ad_action'] == 'ad_del') {

    dbquery("DELETE FROM ".DB_MASTER_RPF." WHERE ad_id='".$_GET['ad_id']."'");
    echo "<div class='admin-message'>".$locale['map109']."</div>";
	redirect(FUSION_SELF.$aidlink."&mes=del");
  }

// ----------------------------------------
// Formularz
// ----------------------------------------

if (!isset($_GET['ad_action'])){
$ad_id = "";
$ad_name = "";
$ad_source = "";
$ad_limit = "";
$ad_count = "";
}
opentable($locale['map110']);



echo "
<form name='inputform' method='post' action='$formaction'>


<table cellspacing='0' cellpadding='0' width='80%' align='center'>

<tr>
<td class='tbl' width='40%'>".$locale['map120']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='ad_name' value='".$ad_name."' maxlength='100' style='width:240px;'></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['map121']."</td>
<td class='tbl' width='60%'><textarea class='textbox' name='ad_source' rows='6' cols='50'>".$ad_source."</textarea></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['map122']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='ad_limit' value='".$ad_limit."' maxlength='5' style='width:240px;'></td>
</tr>

<tr>
<td class='tbl' width='40%'>".$locale['map123']."</td>
<td class='tbl' width='60%'><input class='textbox' type='text' name='ad_count' value='".$ad_count."' maxlength='5' style='width:240px;'></td>
</tr>

<tr>
<td class='tbl' colspan='2'><center><input class='button' name='save' type='submit' value='".$locale['map102']."'></center></td>
</tr>

</table>

</form>
";

closetable();


// ----------------------------------------
// Podglad pozycji
// ----------------------------------------

$ads_list = dbquery("SELECT * FROM ".DB_MASTER_RPF." ORDER BY ad_id");

opentable($locale['map111']);

print("
<table cellpadding='0' cellspacing='1' width='80%' align='center' class='tbl-border'>
<tr>
<td class='tbl2' width='10%'><center>".$locale['map130']."</center></td>
<td class='tbl2' width='40%'><center>".$locale['map131']."</center></td>
<td class='tbl2' width='15%'><center>".$locale['map132']."</center></td>
<td class='tbl2' width='15%'><center>".$locale['map133']."</center></td>
<td class='tbl2' width='20%'><center>".$locale['map134']."</center></td>
</tr>
");

while($ad_details = dbarray($ads_list)) {
  print("
<tr>
<td class='tbl1' width='10%'><center>".$ad_details['ad_id']."</center></td>
<td class='tbl2' width='40%'>".$ad_details['ad_name']."</td>
<td class='tbl1' width='15%'><center>".$ad_details['ad_limit']."</center></td>
<td class='tbl2' width='15%'><center>".$ad_details['ad_count']."</center></td>
<td class='tbl1' width='20%'><center>
<a href='".FUSION_SELF.$aidlink."&amp;ad_action=ad_edit&ad_id=".$ad_details['ad_id']."'>".$locale['map105']."</a> -
 <a href='".FUSION_SELF.$aidlink."&amp;ad_action=ad_del&ad_id=".$ad_details['ad_id']."'>".$locale['map106']."
</center></td>
</tr>
  ");
  }

print("
</table><br>
<center><a href='".FUSION_SELF.$aidlink."'>".$locale['map140']."</a></center>
");

closetable();



require_once THEMES."templates/footer.php";
?>